function uo = explicitheat_nb(nt,dt,uin)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% function uo = explicitheat(nt,dt,uin)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%uin = padnb(uin,2);
[m,n] = size(uin);
m2 = m*m;
n2 = n*n;

%u = buffer2nb(uin);
u = uin;

for t = 1:nt
    
    d = backwardx_nb(forwardx_nb(u))*m2;
    d = d + backwardy_nb(forwardy_nb(u))*n2;
    
    u = u + dt*d;
    
end

uo = u;

%uo = u(3:m+2,3:n+2);