function uo = explicitheat(nt,dt,uin)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% function uo = explicitheat(nt,dt,uin)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

[m,n] = size(uin);
m2 = m*m;
n2 = n*n;

u = buffer2nb(uin);

for t = 1:nt
    
    d = backwardx(forwardx(u))*m2;
    d = d + backwardy(forwardy(u))*n2;
    
    u = u + dt*d;
    
end

uo = u(3:m+2,3:n+2);