function xo = upbuffer1d(x)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% xo = upbuffer1d(x)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This function updates the buffer region of size 2.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

N = size(x,2);
xo = x;

% Periodic boundary conditions:
xo(1) = xo(N-3);
xo(2) = xo(N-2);
xo(N) = xo(4);
xo(N-1) = xo(3);
